package com.gic.haoban.manage.service.entity.send;

import java.util.Date;
import java.io.Serializable;

/**
 * 企微群发msgid表(TabQwSendMsg)实体类
 *
 * @author makejava
 * @since 2025-03-25 13:48:06
 */
public class TabQwSendMsg implements Serializable {
    private static final long serialVersionUID = -62451866180002438L;
    /**
     * 主键id
     */
    private Long id;
    /**
     * 导购id
     */
    private String clerkId;
    /**
     * 成员id
     */
    private String staffId;
    /**
     * msgId
     */
    private String msgId;
    /**
     * 发送时间
     */
    private Date sendTime;
    /**
     * 业务类型 1素材分享 2商品推荐
     */
    private Integer bizType;
    /**
     * 好办企业id
     */
    private String wxEnterpriseId;
    /**
     * 企业id
     */
    private String enterpriseId;
    /**
     * 是否删除
     */
    private Integer deleteFlag;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getMsgId() {
        return msgId;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}

